#import <Foundation/Foundation.h>

int main (int argc, const char * argv[]) {
    NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];
	NSArray *args = [[NSProcessInfo processInfo] arguments];
	
	if ([args count] < 2) {
		printf("usage:\n");
		printf("uti <filenameExtension>\n");
		exit(EXIT_SUCCESS);
	}
	
	NSArray *filenameExtensions = [args subarrayWithRange:NSMakeRange(1, [args count] - 1)];
	
	for (NSString *filenameExtension in filenameExtensions) {
		NSString *utiType = 
		[(NSString *)UTTypeCreatePreferredIdentifierForTag(kUTTagClassFilenameExtension,
																   (CFStringRef)filenameExtension,
																   NULL) autorelease];
		printf("%s\n", [utiType UTF8String]);
	}
	
    [pool drain];
    return 0;
}
